Problem with chat zimlet after zextras upgrade to 2.6.0
Results 1 to 9 of 9

Thread: Problem with chat zimlet after zextras upgrade to 2.6.0

  1. #1
    Active Member
    Join Date
    Sep 2016
    Posts
    11

    Problem with chat zimlet after zextras upgrade to 2.6.0

    Hi zextras team,

    We recently upgraded our zextras suite to version 2.6.0. After that all users get the following informational pop up when entering zimbra web interface "The ZeXtras Chat Zimlet need to be updated!,Current ZxChat Zimlet version: 1.36,Needed ZxChat Zimlet version: 1.37". I am trying to upgrade through the admin interface but this is not possible (I press the Check for updates button, but after some time I am getting a message saying that available version is : 0). So I tried to upgrade it manually using instructions from this link : https://wiki.zextras.com/wiki/ZxChat..._Install_Guide (the manual installation part). I am running the deploy command but what I am getting at log files is this:

    java.io.FileNotFoundException: zimlet description not found: com_zextras_chat.xml
    at com.zimbra.cs.zimlet.ZimletFile.initZimletDescript ion(ZimletFile.java:250)
    at com.zimbra.cs.zimlet.ZimletFile.initialize(ZimletF ile.java:206)
    at com.zimbra.cs.zimlet.ZimletFile.(ZimletFile.java:1 54)

    Is there something I could do in order to make this work ?

    Regards,
    Nickitas

  2. #2
    Senior Member
    Join Date
    Oct 2014
    Posts
    67
    Details of your ZCS version (NE or OSS) & release might be a help.
    Regards


    Bill

  3. #3
    Active Member
    Join Date
    Sep 2016
    Posts
    11
    Sorry, forgot to mention, we are running 8.0.8 OSS

    Regards,
    Nickitas

  4. #4
    Junior Member
    Join Date
    Oct 2017
    Posts
    1
    Hello, I have the same problem since Zextras 2.6.0. I hava Zimbra OSE 8.0.9. Thanks by advance

  5. #5
    Active Member
    Join Date
    Dec 2012
    Posts
    4
    same for me : Zimbra OSE 8.0.9.
    + 0zxpowerstore + zxmobile
    Thanks by advance

  6. #6
    Active Member
    Join Date
    Dec 2012
    Posts
    4

    Question

    Quote Originally Posted by dominix View Post
    same for me : Zimbra OSE 8.0.9.
    + zxpowerstore + zxmobile
    Thanks by advance

    it seems to me that the error come from the zxchat service that require an inexistant version.

    zxsuite chat getServerStatus

    server_status running
    active_users_count 17
    active_sessions_count 19
    DB_version 3
    required_zimlet 1.37
    chat_server_version 2.0

    il require 1.37 but there is only 1.36 zimlet.

  7. #7
    Zextras employee Known ZeXtras Reseller
    Participant

    Join Date
    Aug 2016
    Posts
    72
    Hello nkoz, TheActarus and dominix.

    Yes, we had been informed that there are some specific conditions on which installation process is not able to the find and deploy the new ZxChat Zimlet.

    In this cases, you could still manually install the zimlet, following the guide published on the wiki - https://wiki.zextras.com/wiki/ZxChat...l_installation.

    Latest ZxChat zimlet should always be downloaded here - https://download.zextras.com/com_zextras_chat.zip

    @nkoz, there was an issue whit the server cache during the publishing of the package. Could you verify the md5sum of the downloaded package?
    Code:
    MD5 (com_zextras_chat.zip) = 3c80c3d1d549ecc82e96de186fc2441e
    If you still have any issue, installing or using the chat, please open a support request at ZeXtras Support Portal, reporting Zimbra, Zextras and Browser version.

    Have a nice day,
    Luca
    the ZeXtras Team
    IT Support Team Contact Form
    Sales Team Contact Form

    ZeXtras Website
    # ZeXtras Wiki # ZeXtras Store

    Have ZeXtras Suite or ZeXtras Migration Tool been helpful to you?
    Share your experience in the Zimbra Gallery!

    ZeXtras Suite on the Zimbra Gallery
    ZeXtras Migration Tool on the Zimbra Gallery

  8. #8
    Active Member
    Join Date
    Sep 2016
    Posts
    11
    Hi larcara,

    I did followed your recommendation, I was indeed having another file. I installed the pointed zimlet but some users are now complaining that they see emoticons in mail subjects and body. Is this a known issue ?

    Regards,
    Nickitas

  9. #9
    Active Member
    Join Date
    Dec 2012
    Posts
    4
    Quote Originally Posted by larcara View Post
    Hello nkoz, TheActarus and dominix.

    Yes, we had been informed that there are some specific conditions on which installation process is not able to the find and deploy the new ZxChat Zimlet.

    In this cases, you could still manually install the zimlet, following the guide published on the wiki - https://wiki.zextras.com/wiki/ZxChat...l_installation.

    Latest ZxChat zimlet should always be downloaded here - https://download.zextras.com/com_zextras_chat.zip

    @nkoz, there was an issue whit the server cache during the publishing of the package. Could you verify the md5sum of the downloaded package?
    Code:
    MD5 (com_zextras_chat.zip) = 3c80c3d1d549ecc82e96de186fc2441e
    If you still have any issue, installing or using the chat, please open a support request at ZeXtras Support Portal, reporting Zimbra, Zextras and Browser version.

    Have a nice day,
    Luca
    the ZeXtras Team

    by the way, it appear to me that this problem only appear with older Zimbra version, older than 8.5
    I've just upgraded to 8.7.11 and the reinstall of zextras just went fine.

    regards.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •